Skip to main content
GET
/
api
/
v1
/
github
/
installations
/
{id}
/
config
Get org-wide config defaults
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/github/installations/{id}/config \
  --header 'Authorization: Bearer <token>'
{
  "author_exclude": [
    "<string>"
  ],
  "author_include": [
    "<string>"
  ],
  "auto_review_enabled": true,
  "branch_exclude": [
    "<string>"
  ],
  "branch_include": [
    "<string>"
  ],
  "custom_instructions": "<string>",
  "keyword_exclude": [
    "<string>"
  ],
  "keyword_include": [
    "<string>"
  ],
  "label_exclude": [
    "<string>"
  ],
  "label_include": [
    "<string>"
  ],
  "max_inline_comments": 50,
  "suggested_changes_enabled": true
}

Authorizations

Authorization
string
header
required

JWT authentication token

Path Parameters

id
string<uuid>
required

Installation ID (UUID)

Response

Org-wide config defaults

author_exclude
string[]
author_include
string[]
auto_review_enabled
boolean
branch_exclude
string[]
branch_include
string[]
custom_instructions
string
focus
enum<string>
Available options:
security,
performance,
style,
all
keyword_exclude
string[]
keyword_include
string[]
label_exclude
string[]
label_include
string[]
max_inline_comments
integer
Required range: 1 <= x <= 100
review_output_mode
enum<string>
Available options:
summary_only,
comments_only,
both
severity_threshold
enum<string>
Available options:
critical,
high,
medium,
low,
info,
all
suggested_changes_enabled
boolean
tone
enum<string>
Available options:
chill,
balanced,
assertive,
roast
verbosity
enum<string>
Available options:
brief,
normal,
detailed